Cyberduck Mountain Duck CLI

#10395 closed defect (worksforme)

Error "The request signature we calculated does not match the signature you provided" when opening a large folder

Reported by: RobinRyme Owned by: dkocher
Priority: normal Milestone: 7.0
Component: s3 Version: 6.6.2
Severity: normal Keywords: error, listing directory
Cc: Architecture:
Platform: Windows 8.1

Description

When opening the largest folder (about 2000 files) my company uses, I get this error report: "Listing directory -directories-name- failed. The request signature we calculated does not match the signature you provided. Check your key and signing method. Please contact your web hosting service provider for assistance."

This is fairly odd, because every other folder in that S3 account functions as normal. The error happens both on my desktop (Windows 8.1, about 5 year old hardware, 16 GB of RAM) and my laptop (Windows 10, decade old hardware, not a fast machine), but does not happen on my boss's 5 year old but pretty souped up Mac.

The only thing I can find different between this folder and other folders is the number of objects in it, and other computers can open the folder, so I assume it's not an issue of any corruption or error on the server side. Cyberduck won't let me copy the further details to put it in here, but I'll take a screenshot.

I'm currently not able to change our most heavily used folder from my office, any help would be appreciated. Thank you!

Attachments (3)

S3 error 1.PNG (58.7 KB) - added by RobinRyme on Jul 10, 2018 at 7:09:46 PM.
further details for error 1
S3 error 2.PNG (58.4 KB) - added by RobinRyme on Jul 10, 2018 at 7:09:59 PM.
further details for error 2
S3 error 3.PNG (58.5 KB) - added by RobinRyme on Jul 10, 2018 at 7:10:12 PM.
further details for error 3

Download all attachments as: .zip

Change History (10)

Changed on Jul 10, 2018 at 7:09:46 PM by RobinRyme

further details for error 1

Changed on Jul 10, 2018 at 7:09:59 PM by RobinRyme

further details for error 2

Changed on Jul 10, 2018 at 7:10:12 PM by RobinRyme

further details for error 3

comment:1 Changed on Jul 11, 2018 at 7:55:50 AM by dkocher

  • Component changed from core to s3
  • Owner set to dkocher
  • Summary changed from error when opening a large folder to Error "The request signature we calculated does not match the signature you provided" when opening a large folder

comment:2 Changed on Aug 5, 2018 at 9:16:54 PM by dkocher

  • Milestone changed from 6.7.0 to 7.0

Ticket retargeted after milestone closed

comment:3 Changed on Aug 6, 2018 at 3:51:35 PM by dkocher

#10373 closed as duplicate.

comment:4 Changed on Oct 10, 2018 at 6:55:35 AM by yla

I've tried many different ways to replicate this issue but didn't succeed. There is definitively something wrong and I'd like to fix this issue. Can you please enable debug logging (restart Cyberduck), try to navigate in the large folder and post the log file after you see the error message?

comment:5 Changed on Oct 11, 2018 at 2:15:59 PM by dkocher

Possibly related to #9914.

comment:6 Changed on Oct 12, 2018 at 2:50:13 PM by RobinRyme

This error stopped happening with the last large update (last weeks/month). I really appreciate the followup! Let me know if you need anything else from me.

comment:7 Changed on Nov 22, 2018 at 10:20:28 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software